<script setup lang="ts">

defineProps({
  variant: String
})

function getVariant(variant) {
  if(variant == 'sm'){
    return 'p-container text-sm';
  }

  if(variant == 'xs'){
    return 'p-input text-xs';
  }

  return 'p-4 text-sm';
}
</script>

<template>
  <input
      class="block w-full text-gray-900 border border-gray-300 rounded-main bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
      :class="getVariant(variant)"
  />
</template>